/*
    SDL - Simple DirectMedia Layer
    Copyright (C) 1997-2009 Sam Lantinga

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Sam Lantinga
    slouken@libsdl.org
*/
module org.libsdl.timer;

import org.libsdl.stdinc;

immutable uint SDL_TIMESLICE    = 10;
immutable uint TIMER_RESOLUTION	= 10;

extern (C)
{
	Uint32 SDL_GetTicks();
	void SDL_Delay(Uint32 ms);
	alias Uint32 function(Uint32 interval) SDL_TimerCallback;
	int SDL_SetTimer(Uint32 interval, SDL_TimerCallback callback);
	alias Uint32 function(Uint32 interval, void* param) SDL_NewTimerCallback;
}

struct _SDL_TimerID;
alias _SDL_TimerID* SDL_TimerID;

extern (C)
{
	SDL_TimerID SDL_AddTimer(Uint32 interval, SDL_NewTimerCallback callback, void* param);
	SDL_bool SDL_RemoveTimer(SDL_TimerID t);
}
